<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentInfoAction extends \Google\Protobuf\Internal\Message
{
    


    protected $cpi = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCpi()
    {
        return isset($this->cpi) ? $this->cpi : '';
    }

    public function hasCpi()
    {
        return isset($this->cpi);
    }

    public function clearCpi()
    {
        unset($this->cpi);
    }

    




    public function setCpi($var)
    {
        GPBUtil::checkString($var, True);
        $this->cpi = $var;

        return $this;
    }

}

